local player = {
		angle = 0,
		x = 0,
		y = 0,
		speed = 256,
		velocity = 0,
		rotation_speed = 4
	}

function love.update(dt)
	player.velocity = 0
	if love.keyboard.isDown("up") then
		player.velocity = player.speed
	elseif love.keyboard.isDown("down") then
		player.velocity = -player.speed
	end
	
	if love.keyboard.isDown("right") then
		player.angle = player.angle + player.rotation_speed * dt
		if player.angle > (math.pi * 2) then
			player.angle = 0
		end
	elseif love.keyboard.isDown("left") then
		player.angle = player.angle - player.rotation_speed * dt
		if player.angle < 0 then
			player.angle = math.pi * 2
		end
	end
	
	--Movement update
	player.x = player.x + math.cos(player.angle) * player.velocity * dt
	player.y = player.y + math.sin(player.angle) * player.velocity * dt
end

function love.draw()
	love.graphics.setColor(0, 180, 255)
	love.graphics.circle("fill", player.x, player.y, 32)
	love.graphics.setColor(255, 255, 255)
	love.graphics.circle("fill", 32 * math.cos(player.angle) + player.x, 32 * math.sin(player.angle) + player.y, 8)
end


function love.keypressed(key)
	if key == "escape" then love.event.push("quit") end
end
